Skip to main content
GET
/
api
/
orgs
/
{id}
/
notifications
/
preferences
Read current member notification preferences
curl --request GET \
  --url https://atollhq.com/api/orgs/{id}/notifications/preferences \
  --header 'Authorization: Bearer <token>'
{
  "preference": {
    "org_id": "<string>",
    "member_id": "<string>",
    "enabled": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

id identifier

Query Parameters

eventType
enum<string>
required
Available options:
mention.created,
issue.assigned,
comment.added,
issue.status_changed
channel
enum<string>
default:in_app
Available options:
in_app,
google_chat

Response

Successful response

preference
object
required